<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.inspect.mapper.TSWorkNoBaseMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.inspect.entity.TSWorkNoBase">
        <id column="BaseID" property="BaseID" />
        <result column="CURRENTNO" property="currentno" />
        <result column="YEARS" property="years" />
        <result column="WORKNOTYPE" property="worknotype" />
        <result column="TYPECOMMENT" property="typecomment" />
        <result column="GENRULE" property="genrule" />
        <result column="LAUPTIME" property="lauptime" />
        <result column="AREA_CODE" property="areaCode" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        BaseID, CURRENTNO, YEARS, WORKNOTYPE, TYPECOMMENT, GENRULE, LAUPTIME, AREA_CODE
    </sql>

</mapper>
